#ifndef _Handle_PBRep_CurveOnClosedSurface_HeaderFile
#define _Handle_PBRep_CurveOnClosedSurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PBRep_CurveOnSurface_HeaderFile
#include <Handle_PBRep_CurveOnSurface.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PBRep_CurveOnSurface);
class PBRep_CurveOnClosedSurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_CurveOnClosedSurface);

class Handle(PBRep_CurveOnClosedSurface) : public Handle(PBRep_CurveOnSurface) {
  public:

    Handle(PBRep_CurveOnClosedSurface)():Handle(PBRep_CurveOnSurface)() {} 
    Handle(PBRep_CurveOnClosedSurface)(const Handle(PBRep_CurveOnClosedSurface)& aHandle) : Handle(PBRep_CurveOnSurface)(aHandle) 
     {
     }

    Handle(PBRep_CurveOnClosedSurface)(const PBRep_CurveOnClosedSurface* anItem) : Handle(PBRep_CurveOnSurface)((PBRep_CurveOnSurface *)anItem) 
     {
     }

    Handle(PBRep_CurveOnClosedSurface)& operator=(const Handle(PBRep_CurveOnClosedSurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_CurveOnClosedSurface)& operator=(const PBRep_CurveOnClosedSurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_CurveOnClosedSurface* operator->() const 
     {
      return (PBRep_CurveOnClosedSurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_CurveOnClosedSurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
